
import java.util.Date;


/**
 * Simple class that wraps experiment data for inclusion in a DB40 database
 *  
 * @author Nathan Stevens
 * @date Nov 11, 2008
 * @version 1.0
 */

public class ExperimentDataforDB4O {
  private String name = ""; // the name for the experiment data
  private String[] metaInfo;
  private int version = 1;
  private ExperimentData experimentData; // The experiment data
  private Date saveDate; // The date the data was saved 
  
  // default constructor
  public ExperimentDataforDB4O() { }
  
  // constructor that takes an ExperimentData object
  public void ExperimentDataforDB4O(String name, ExperimentData experimentData) {
    this.name = name;
    this.experimentData = experimentData;
    this.metaInfo = experimentData.getMetaInfo();
  }
  
  // Method to get the name
  public String getName() {
    return name;
  }

  // Method to set the name
  public void setName(String name) {
    this.name = name;
  }
  
  // Method to get the experiment data
  public ExperimentData getExperimentData() {
    return experimentData;
  }
  
  // Method to return the name the owner of the data
  public String getOwner() {
    return metaInfo[2];
  }
}
